Lingara Lingara 說明文件 學習指南 API 函式庫 App 建立 網頁版
語言: 客家話

取得這份文件

API 版本 2026-10-affable-towhee

get https://api.getlingara.com/v1/openapi.json

用 JSON 轉這份 API 說明,係請求所用个 API 版本个:Lingara-Version 講明个該隻,無就係這下个版本。毋使權杖。

權限範圍 毋使驗證身份

參數

Lingara-Versionheaderstring選填
回應這隻請求所用个 API 版本。無這隻个話,存取權杖會用佢个用戶端綁定个版本,無權杖个請求會用這下个版本。還在開發个版本,淨係在這位講明正用得到。無認識个版本會回 400,代碼係 api_version_unknown。GET /v1/versions 會列出所有版本。

回應

200 OpenAPI 文件

錯誤

410application/json
回應這隻請求所用个 API 版本已經停用。請在 Lingara-Version 送一隻有支援个版本,或者將用戶端綁到別隻版本。
4XXapplication/json
請求分人拒絕了。code 講原因,error 用文字講明。
503application/json · text/plain
服務暫時用毋得;請等 Retry-After 裡肚个秒數過後再試。維護期間,內容係純文字,毋係錯誤封包。
codestring必填

請求分人拒絕个原因,係一隻穩定个代碼,做得用來分支處理:比如 insufficient_scope(403)、rate_limited(429),對按用量計費个用戶端還有 spend_cap_reached(402)㧯 metered_billing_inactive(402)。

errorstring必填

範例

程式碼範例个語言

curl

curl "https://api.getlingara.com/v1/openapi.json"

TypeScript

const document = await client.getOpenApiDocument();
console.log(document.servedVersion, Object.keys(document));

Rust

let document = client.get_open_api_document().await?;
let keys: Vec<&String> = document.as_object().map(|o| o.keys().collect()).unwrap_or_default();
println!("{:?} {keys:?}", document.served_version());

Go

doc, err := client.GetOpenAPIDocument(ctx)
if err != nil {
	return err
}
fmt.Println(doc.Value["openapi"], doc.ServedVersion)

Java

import com.fasterxml.jackson.databind.JsonNode;
import com.getlingara.client.LingaraClient;

JsonNode document = client.getOpenApiDocument().body();
System.out.println(document.path("info").path("version").asText());

Kotlin

import com.getlingara.kotlin.LingaraClient
import kotlinx.serialization.json.jsonObject
import kotlinx.serialization.json.jsonPrimitive

val document = client.getOpenApiDocument().body
println(
    document
        .getValue("info")
        .jsonObject
        .getValue("version")
        .jsonPrimitive.content,
)

Ruby

document = client.get_open_api_document
puts "#{document.value["openapi"]} #{document.served_version}"

PHP

// Needs no token: a client built without credentials can call it.
$document = $client->getOpenApiDocument()->value;
echo $document->info->title, ' ', $document->info->version, "\n";

想用函式庫?請看函式庫這一節。

假使翻譯㧯英文參考文件無共樣,就以英文參考文件為準。